summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorAlexander Larsson <alexl@redhat.com>2016-05-02 17:18:00 +0200
committerAlexander Larsson <alexl@redhat.com>2016-05-02 17:18:00 +0200
commit4d21107f1cca8986b73c61bbffc4c7caa08cccaa (patch)
tree3669ab4a79a0212e23eb2f1e25455973a3320353 /tests
parent36d0a2fe2aa59b892553d97e9fecdb9d3a9a69c7 (diff)
downloadxdg-app-4d21107f1cca8986b73c61bbffc4c7caa08cccaa.tar.gz
Rename configure.test to test-configure
Otherwise it is ignored with the other *.test generated files
Diffstat (limited to 'tests')
-rw-r--r--tests/Makefile.am.inc2
-rwxr-xr-xtests/test-builder.sh2
-rwxr-xr-xtests/test-configure22
-rw-r--r--tests/test.json2
4 files changed, 25 insertions, 3 deletions
diff --git a/tests/Makefile.am.inc b/tests/Makefile.am.inc
index 9b18e4b..37c0e87 100644
--- a/tests/Makefile.am.inc
+++ b/tests/Makefile.am.inc
@@ -50,7 +50,7 @@ tests/test-basic.sh: tests/package_version.txt
installed_test_SCRIPTS += \
buildutil/tap-driver.sh \
- tests/configure.test \
+ tests/test-configure \
tests/package_version.txt \
tests/make-test-app.sh \
tests/make-test-runtime.sh \
diff --git a/tests/test-builder.sh b/tests/test-builder.sh
index e076ab5..2ec0f55 100755
--- a/tests/test-builder.sh
+++ b/tests/test-builder.sh
@@ -32,7 +32,7 @@ install_sdk_repo
REPO=`pwd`/repo
cd $TEST_DATA_DIR/
-cp -a $(dirname $0)/configure.test .
+cp -a $(dirname $0)/test-configure .
echo "version1" > app-data
xdg-app-builder --repo=$REPO --force-clean appdir $(dirname $0)/test.json > /dev/null
diff --git a/tests/test-configure b/tests/test-configure
new file mode 100755
index 0000000..3f3e85a
--- /dev/null
+++ b/tests/test-configure
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+if [ x$2 != 'x--some-arg' ] ; then
+ exit 2
+fi
+
+cat <<EOF > Makefile
+all:
+ echo Building
+ if [ x\$(CFLAGS) != "x-O2 -g" ]; then exit 1; fi
+ if [ x\$(FOO) != xbar ]; then exit 1; fi
+ if [ x\$(BAR) != x2 ]; then exit 1; fi
+
+install:
+ echo Installing
+ if [ x\$(FOO) != xbar ]; then exit 1; fi
+ if [ x\$(BAR) != x3 ]; then exit 1; fi
+ mkdir -p /app/bin
+ cp -a hello2.sh /app/bin/
+ mkdir -p /app/share
+ cp -a app-data /app/share/
+EOF
diff --git a/tests/test.json b/tests/test.json
index 7f12149..a0d715a 100644
--- a/tests/test.json
+++ b/tests/test.json
@@ -27,7 +27,7 @@
"sources": [
{
"type": "file",
- "path": "configure.test",
+ "path": "test-configure",
"dest-filename": "configure",
"sha256": "ce0a7014057cc45ac6cfa4b84fe848d46b1225f4ce03f1b52d5ab73521816cbf"
},